<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Contnet-type" content="text/html;charset=UTF-8">
	<title>js-DOM-打开</title>
	<script type="text/javascript">
		window.onload=function(){
			var text1=document.getElementById('text1');
			var btn=document.getElementById('btn');
			btn.onclick=function(){
				var re=/^\w+@[a-z0-9]+\.[a-z]+$/i;
				if(re.test(text1.value)){
					alert("是");
				}else{
					alert('不是');
				}

			};
		};
	</script>
</head>
<body>
	<input type="text" name="" value="" id="text1" />
	<input type="button" name="" value="验证" id="btn" />
	
</body>
</html>